Index: t3lib/class.t3lib_stdgraphic.php
===================================================================
--- t3lib/class.t3lib_stdgraphic.php	(Revision 5854)
+++ t3lib/class.t3lib_stdgraphic.php	(Arbeitskopie)
@@ -326,9 +326,9 @@
 		}
 
 		if (TYPO3_MODE=='FE')	{
-			$this->csConvObj = &$GLOBALS['TSFE']->csConvObj;
+			$this->csConvObj = $GLOBALS['TSFE']->csConvObj;
 		} elseif(is_object($GLOBALS['LANG']))	{	// BE assumed:
-			$this->csConvObj = &$GLOBALS['LANG']->csConvObj;
+			$this->csConvObj = $GLOBALS['LANG']->csConvObj;
 		} else	{	// The object may not exist yet, so we need to create it now. Happens in the Install Tool for example.
 			$this->csConvObj = t3lib_div::makeInstance('t3lib_cs');
 		}
Index: t3lib/class.t3lib_basicfilefunc.php
===================================================================
--- t3lib/class.t3lib_basicfilefunc.php	(Revision 5854)
+++ t3lib/class.t3lib_basicfilefunc.php	(Arbeitskopie)
@@ -454,11 +454,11 @@
 				// Get conversion object or initialize if needed
 			if (!is_object($this->csConvObj)) {
 				if (TYPO3_MODE=='FE') {
-					$this->csConvObj = &$GLOBALS['TSFE']->csConvObj;
+					$this->csConvObj = $GLOBALS['TSFE']->csConvObj;
 				} elseif (is_object($GLOBALS['LANG'])) {	// BE assumed:
-					$this->csConvObj = &$GLOBALS['LANG']->csConvObj;
+					$this->csConvObj = $GLOBALS['LANG']->csConvObj;
 				} else {	// The object may not exist yet, so we need to create it now. Happens in the Install Tool for example.
-					$this->csConvObj = &t3lib_div::makeInstance('t3lib_cs');
+					$this->csConvObj = t3lib_div::makeInstance('t3lib_cs');
 				}
 			}
 
Index: t3lib/class.t3lib_scbase.php
===================================================================
--- t3lib/class.t3lib_scbase.php	(Revision 5854)
+++ t3lib/class.t3lib_scbase.php	(Arbeitskopie)
@@ -382,7 +382,7 @@
 	 * @return	void
 	 */
 	function extObjContent() {
-		$this->extObj->pObj = &$this;
+		$this->extObj->pObj = $this;
 
 		if (is_callable(array($this->extObj, 'main'))) {
 			$this->content .= $this->extObj->main();
Index: t3lib/class.t3lib_refindex.php
===================================================================
--- t3lib/class.t3lib_refindex.php	(Revision 5854)
+++ t3lib/class.t3lib_refindex.php	(Arbeitskopie)
@@ -450,7 +450,7 @@
 				if (strlen($value) && $softRefs = t3lib_BEfunc::explodeSoftRefParserList($conf['softref']))	{
 					$softRefValue = $value;
 					foreach($softRefs as $spKey => $spParams)	{
-						$softRefObj = &t3lib_BEfunc::softRefParserObj($spKey);
+						$softRefObj = t3lib_BEfunc::softRefParserObj($spKey);
 						if (is_object($softRefObj))	{
 							$resultArray = $softRefObj->findRef($table, $field, $uid, $softRefValue, $spKey, $spParams);
 							if (is_array($resultArray))	{
@@ -483,7 +483,7 @@
 	 * @return	void
 	 * @see t3lib_TCEmain::checkValue_flex_procInData_travDS()
 	 */
-	function getRelations_flexFormCallBack($dsArr, $dataValue, $PA, $structurePath, &$pObj)	{
+	function getRelations_flexFormCallBack($dsArr, $dataValue, $PA, $structurePath, $pObj) {
 		$structurePath = substr($structurePath,5).'/';	// removing "data/" in the beginning of path (which points to location in data array)
 
 		$dsConf = $dsArr['TCEforms']['config'];
@@ -509,7 +509,7 @@
 		if (strlen($dataValue) && $softRefs = t3lib_BEfunc::explodeSoftRefParserList($dsConf['softref']))	{
 			$softRefValue = $dataValue;
 			foreach($softRefs as $spKey => $spParams)	{
-				$softRefObj = &t3lib_BEfunc::softRefParserObj($spKey);
+				$softRefObj = t3lib_BEfunc::softRefParserObj($spKey);
 				if (is_object($softRefObj))	{
 					$resultArray = $softRefObj->findRef($table, $field, $uid, $softRefValue, $spKey, $spParams, $structurePath);
 					if (is_array($resultArray) && is_array($resultArray['elements']))	{
Index: t3lib/class.t3lib_tceforms.php
===================================================================
--- t3lib/class.t3lib_tceforms.php	(Revision 5854)
+++ t3lib/class.t3lib_tceforms.php	(Arbeitskopie)
@@ -366,13 +366,13 @@
 		$this->hookObjectsMainFields = array();
 		if (is_array ($TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_tceforms.php']['getMainFieldsClass']))	{
 			foreach ($TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_tceforms.php']['getMainFieldsClass'] as $classRef)	{
-				$this->hookObjectsMainFields[] = &t3lib_div::getUserObj($classRef);
+				$this->hookObjectsMainFields[] = t3lib_div::getUserObj($classRef);
 			}
 		}
 		$this->hookObjectsSingleField = array();
 		if (is_array ($TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_tceforms.php']['getSingleFieldClass']))	{
 			foreach ($TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_tceforms.php']['getSingleFieldClass'] as $classRef)	{
-				$this->hookObjectsSingleField[] = &t3lib_div::getUserObj($classRef);
+				$this->hookObjectsSingleField[] = t3lib_div::getUserObj($classRef);
 			}
 		}
 
@@ -1264,7 +1264,7 @@
 							$RTErelPath = is_array($eFile) ? dirname($eFile['relEditFile']) : '';
 
 								// Get RTE object, draw form and set flag:
-							$RTEobj = &t3lib_BEfunc::RTEgetObj();
+							$RTEobj = t3lib_BEfunc::RTEgetObj();
 							$item = $RTEobj->drawRTE($this,$table,$field,$row,$PA,$specConf,$thisConfig,$RTEtypeVal,$RTErelPath,$thePidValue);
 
 								// Wizard:
Index: t3lib/class.t3lib_sqlengine.php
===================================================================
--- t3lib/class.t3lib_sqlengine.php	(Revision 5854)
+++ t3lib/class.t3lib_sqlengine.php	(Arbeitskopie)
@@ -122,7 +122,7 @@
 	 * @param	object		Parent object
 	 * @return	void
 	 */
-	function init($config, &$pObj)	{
+	function init($config, $pObj) {
 	}
 
 	/**
Index: t3lib/class.t3lib_flexformtools.php
===================================================================
--- t3lib/class.t3lib_flexformtools.php	(Revision 5854)
+++ t3lib/class.t3lib_flexformtools.php	(Arbeitskopie)
@@ -108,13 +108,13 @@
 	 * @param	string		Method name of call back function in object for values
 	 * @return	boolean		If true, error happened (error string returned)
 	 */
-	function traverseFlexFormXMLData($table,$field,$row,&$callBackObj,$callBackMethod_value)	{
+	function traverseFlexFormXMLData($table, $field, $row, $callBackObj, $callBackMethod_value) {
 
 		if (!is_array($GLOBALS['TCA'][$table]) || !is_array($GLOBALS['TCA'][$table]['columns'][$field])) 	{
 			return 'TCA table/field was not defined.';
 		}
 
-		$this->callBackObj = &$callBackObj;
+		$this->callBackObj = $callBackObj;
 
 			// Get Data Structure:
 		$dataStructArray = t3lib_BEfunc::getFlexFormDS($GLOBALS['TCA'][$table]['columns'][$field]['config'],$row,$table);
@@ -360,7 +360,7 @@
 	 * @param	object		Object reference to caller
 	 * @return	void
 	 */
-	function cleanFlexFormXML_callBackFunction($dsArr, $data, $PA, $path, &$pObj)	{
+	function cleanFlexFormXML_callBackFunction($dsArr, $data, $PA, $path, $pObj) {
 		#debug(array($dsArr, $data, $PA),$path);
 			// Just setting value in our own result array, basically replicating the structure:
 		$pObj->setArrayValueByPath($path,$this->cleanFlexFormXML,$data);
Index: t3lib/class.t3lib_frontendedit.php
===================================================================
--- t3lib/class.t3lib_frontendedit.php	(Revision 5854)
+++ t3lib/class.t3lib_frontendedit.php	(Arbeitskopie)
@@ -101,7 +101,7 @@
 		if ($GLOBALS['TSFE']->displayEditIcons && $table && $this->allowedToEdit($table, $dataArray, $conf) && $this->allowedToEditLanguage($table, $dataArray)) {
 			$editClass = $GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['typo3/classes/class.frontendedit.php']['edit'];
 			if ($editClass) {
-				$edit = &t3lib_div::getUserObj($editClass, false);
+				$edit = t3lib_div::getUserObj($editClass, false);
 				if (is_object($edit)) {
 					$allowedActions = $this->getAllowedEditActions($table, $conf, $dataArray['pid']);
 					$content = $edit->editPanel($content, $conf, $currentRecord, $dataArray, $table, $allowedActions, $newUid, $this->getHiddenFields($dataArray));
@@ -145,7 +145,7 @@
 		if ($GLOBALS['TSFE']->displayFieldEditIcons && $table && $this->allowedToEdit($table, $dataArray, $conf) && $fieldList && $this->allowedToEditLanguage($table, $dataArray)) {
 			$editClass = $GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['typo3/classes/class.frontendedit.php']['edit'];
 			if ($editClass) {
-				$edit = &t3lib_div::getUserObj($editClass);
+				$edit = t3lib_div::getUserObj($editClass);
 				if (is_object($edit)) {
 					$content = $edit->editIcons($content, $params, $conf, $currentRecord, $dataArray, $addURLParamStr, $table, $editUid, $fieldList);
 				}
Index: t3lib/class.t3lib_befunc.php
===================================================================
--- t3lib/class.t3lib_befunc.php	(Revision 5854)
+++ t3lib/class.t3lib_befunc.php	(Arbeitskopie)
@@ -1196,7 +1196,7 @@
 			// Hook for post-processing the Flexform DS. Introduces the possibility to configure Flexforms via TSConfig
 		if (is_array ($TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_befunc.php']['getFlexFormDSClass'])) {
 			foreach ($TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_befunc.php']['getFlexFormDSClass'] as $classRef) {
-				$hookObj = &t3lib_div::getUserObj($classRef);
+				$hookObj = t3lib_div::getUserObj($classRef);
 				if (method_exists($hookObj, 'getFlexFormDS_postProcessDS')) {
 					$hookObj->getFlexFormDS_postProcessDS($dataStructArray, $conf, $row, $table, $fieldName);
 				}
@@ -3355,10 +3355,10 @@
 				// Traverse registered RTEs:
 			if (is_array($GLOBALS['TYPO3_CONF_VARS']['BE']['RTE_reg'])) {
 				foreach($GLOBALS['TYPO3_CONF_VARS']['BE']['RTE_reg'] as $extKey => $rteObjCfg) {
-					$rteObj = &t3lib_div::getUserObj($rteObjCfg['objRef']);
+					$rteObj = t3lib_div::getUserObj($rteObjCfg['objRef']);
 					if (is_object($rteObj)) {
 						if ($rteObj->isAvailable()) {
-							$GLOBALS['T3_VAR']['RTEobj'] = &$rteObj;
+							$GLOBALS['T3_VAR']['RTEobj'] = $rteObj;
 							break;
 						} else {
 							$GLOBALS['T3_VAR']['RTEobj'] = array_merge($GLOBALS['T3_VAR']['RTEobj'], $rteObj->errorLog);
@@ -3396,9 +3396,9 @@
 							$GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['GLOBAL']['softRefParser'][$spKey] :
 							$GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['GLOBAL']['softRefParser_GL'][$spKey];
 			if ($objRef) {
-				$softRefParserObj = &t3lib_div::getUserObj($objRef, '');
+				$softRefParserObj = t3lib_div::getUserObj($objRef, '');
 				if (is_object($softRefParserObj)) {
-					$GLOBALS['T3_VAR']['softRefParser'][$spKey] = &$softRefParserObj;
+					$GLOBALS['T3_VAR']['softRefParser'][$spKey] = $softRefParserObj;
 				}
 			}
 		}
@@ -4170,7 +4170,7 @@
 			// Hook for additional warnings
 			if (is_array ($GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['t3lib/class.t3lib_befunc.php']['displayWarningMessages'])) {
 				foreach ($GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['t3lib/class.t3lib_befunc.php']['displayWarningMessages'] as $classRef) {
-					$hookObj = &t3lib_div::getUserObj($classRef);
+					$hookObj = t3lib_div::getUserObj($classRef);
 					if (method_exists($hookObj, 'displayWarningMessages_postProcess')) {
 						$hookObj->displayWarningMessages_postProcess($warnings);
 					}
Index: t3lib/class.t3lib_matchcondition.php
===================================================================
--- t3lib/class.t3lib_matchcondition.php	(Revision 5854)
+++ t3lib/class.t3lib_matchcondition.php	(Arbeitskopie)
@@ -97,7 +97,7 @@
 		// 'EXT:my_ext/class.browserinfo.php:MyBrowserInfoClass';
 		if (is_array($TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_matchcondition.php']['matchConditionClass'])) {
 			foreach ($TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_matchcondition.php']['matchConditionClass'] as $classRef) {
-				$this->hookObjectsArr[] = &t3lib_div::getUserObj($classRef, '');
+				$this->hookObjectsArr[] = t3lib_div::getUserObj($classRef, '');
 			}
 		}
 	}
@@ -468,7 +468,7 @@
 		// deprecated, see above
 		if (is_array($GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['t3lib/class.t3lib_matchcondition.php']['devices_class']))	{
 			foreach($GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['t3lib/class.t3lib_matchcondition.php']['devices_class'] as $_classRef)	{
-				$_procObj = &t3lib_div::getUserObj($_classRef);
+				$_procObj = t3lib_div::getUserObj($_classRef);
 				return $_procObj->whichDevice_ext($useragent);
 			}
 		}
Index: t3lib/class.t3lib_tceforms_inline.php
===================================================================
--- t3lib/class.t3lib_tceforms_inline.php	(Revision 5854)
+++ t3lib/class.t3lib_tceforms_inline.php	(Arbeitskopie)
@@ -122,7 +122,7 @@
 	 * @return	void
 	 */
 	function init(&$tceForms) {
-		$this->fObj =& $tceForms;
+		$this->fObj = $tceForms;
 		$this->backPath =& $tceForms->backPath;
 		$this->prependFormFieldNames =& $this->fObj->prependFormFieldNames;
 		$this->prependCmdFieldNames =& $this->fObj->prependCmdFieldNames;
@@ -143,7 +143,7 @@
 			$tceformsInlineHook =& $GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['t3lib/class.t3lib_tceforms_inline.php']['tceformsInlineHook'];
 			if (is_array($tceformsInlineHook)) {
 				foreach($tceformsInlineHook as $classData) {
-					$processObject = &t3lib_div::getUserObj($classData);
+					$processObject = t3lib_div::getUserObj($classData);
 
 					if(!($processObject instanceof t3lib_tceformsInlineHook)) {
 						throw new UnexpectedValueException('$processObject must implement interface t3lib_tceformsInlineHook', 1202072000);
@@ -951,10 +951,10 @@
 	 * (called by typo3/ajax.php)
 	 *
 	 * @param	array		$params: additional parameters (not used here)
-	 * @param	TYPO3AJAX	&$ajaxObj: the TYPO3AJAX object of this request
+	 * @param	TYPO3AJAX	$ajaxObj: the TYPO3AJAX object of this request
 	 * @return	void
 	 */
-	public function processAjaxRequest($params, &$ajaxObj) {
+	public function processAjaxRequest($params, $ajaxObj) {
 		$ajaxArguments = t3lib_div::_GP('ajax');
 		$ajaxIdParts = explode('::', $GLOBALS['ajaxID'], 2);
 
@@ -1020,7 +1020,7 @@
 		$SOBE->doc->backPath = $GLOBALS['BACK_PATH'];
 			// Initialize TCEforms (rendering the forms)
 		$SOBE->tceforms = t3lib_div::makeInstance('t3lib_TCEforms');
-		$SOBE->tceforms->inline =& $this;
+		$SOBE->tceforms->inline = $this;
 		$SOBE->tceforms->RTEcounter = intval(array_shift($ajaxArguments));
 		$SOBE->tceforms->initDefaultBEMode();
 		$SOBE->tceforms->palettesCollapsed = !$SOBE->MOD_SETTINGS['showPalettes'];
@@ -2302,10 +2302,10 @@
 	 * Update expanded/collapsed states on new inline records if any.
 	 *
 	 * @param	array		$uc: The uc array to be processed and saved (by reference)
-	 * @param	t3lib_TCEmain	$tce: Instance of TCEmain that saved data before (by reference)
+	 * @param	t3lib_TCEmain	$tce: Instance of TCEmain that saved data before
 	 * @return	void
 	 */
-	function updateInlineView(&$uc, &$tce) {
+	function updateInlineView(&$uc, $tce) {
 		if (isset($uc['inlineView']) && is_array($uc['inlineView'])) {
 			$inlineView = (array)unserialize($GLOBALS['BE_USER']->uc['inlineView']);
 
Index: t3lib/class.t3lib_div.php
===================================================================
--- t3lib/class.t3lib_div.php	(Revision 5854)
+++ t3lib/class.t3lib_div.php	(Arbeitskopie)
@@ -4332,9 +4332,9 @@
 	public static function readLLPHPfile($fileRef, $langKey, $charset='')	{
 
 		if (is_object($GLOBALS['LANG']))	{
-			$csConvObj = &$GLOBALS['LANG']->csConvObj;
+			$csConvObj = $GLOBALS['LANG']->csConvObj;
 		} elseif (is_object($GLOBALS['TSFE']))	{
-			$csConvObj = &$GLOBALS['TSFE']->csConvObj;
+			$csConvObj = $GLOBALS['TSFE']->csConvObj;
 		} else {
 			$csConvObj = t3lib_div::makeInstance('t3lib_cs');
 		}
@@ -4407,9 +4407,9 @@
 	public static function readLLXMLfile($fileRef, $langKey, $charset='')	{
 
 		if (is_object($GLOBALS['LANG']))	{
-			$csConvObj = &$GLOBALS['LANG']->csConvObj;
+			$csConvObj = $GLOBALS['LANG']->csConvObj;
 		} elseif (is_object($GLOBALS['TSFE']))	{
-			$csConvObj = &$GLOBALS['TSFE']->csConvObj;
+			$csConvObj = $GLOBALS['TSFE']->csConvObj;
 		} else {
 			$csConvObj = t3lib_div::makeInstance('t3lib_cs');
 		}
@@ -4738,11 +4738,11 @@
 					// Get/Create object of class:
 				if ($storePersistentObject)	{	// Get reference to current instance of class:
 					if (!is_object($GLOBALS['T3_VAR']['callUserFunction_classPool'][$parts[0]]))	{
-						$GLOBALS['T3_VAR']['callUserFunction_classPool'][$parts[0]] = &t3lib_div::makeInstance($parts[0]);
+						$GLOBALS['T3_VAR']['callUserFunction_classPool'][$parts[0]] = t3lib_div::makeInstance($parts[0]);
 					}
-					$classObj = &$GLOBALS['T3_VAR']['callUserFunction_classPool'][$parts[0]];
+					$classObj = $GLOBALS['T3_VAR']['callUserFunction_classPool'][$parts[0]];
 				} else {	// Create new object:
-					$classObj = &t3lib_div::makeInstance($parts[0]);
+					$classObj = t3lib_div::makeInstance($parts[0]);
 				}
 
 				if (method_exists($classObj, $parts[1]))	{
@@ -4801,7 +4801,7 @@
 	 * @return	object		The instance of the class asked for. Instance is created with t3lib_div::makeInstance
 	 * @see callUserFunction()
 	 */
-	public static function &getUserObj($classRef,$checkPrefix='user_',$silent=0)	{
+	public static function getUserObj($classRef, $checkPrefix='user_', $silent=false) {
 		global $TYPO3_CONF_VARS;
 			// Check persistent object and if found, call directly and exit.
 		if (is_object($GLOBALS['T3_VAR']['getUserObj'][$classRef]))	{
@@ -4836,11 +4836,11 @@
 
 				// Check if class exists:
 			if (class_exists($class))	{
-				$classObj = &t3lib_div::makeInstance($class);
+				$classObj = t3lib_div::makeInstance($class);
 
 					// If persistent object should be created, set reference:
 				if ($storePersistentObject)	{
-					$GLOBALS['T3_VAR']['getUserObj'][$classRef] = &$classObj;
+					$GLOBALS['T3_VAR']['getUserObj'][$classRef] = $classObj;
 				}
 
 				return $classObj;
@@ -4860,7 +4860,7 @@
 	 * @param	string		Class name to instantiate
 	 * @return	object		A reference to the object
 	 */
-	public static function &makeInstance($className) {
+	public static function makeInstance($className) {
 			// holds references of singletons
 		static $instances = array();
 
@@ -4928,7 +4928,7 @@
 	 * @return	object		The service object or an array with error info's.
 	 * @author	René Fritz <r.fritz@colorcube.de>
 	 */
-	public static function &makeInstanceService($serviceType, $serviceSubType='', $excludeServiceKeys=array())	{
+	public static function makeInstanceService($serviceType, $serviceSubType='', $excludeServiceKeys=array()) {
 		global $T3_SERVICES, $T3_VAR, $TYPO3_CONF_VARS;
 
 		$error = FALSE;
@@ -4959,7 +4959,7 @@
 						if ($obj->init()) { // service available?
 
 								// create persistent object
-							$T3_VAR['makeInstanceService'][$info['className']] = &$obj;
+							$T3_VAR['makeInstanceService'][$info['className']] = $obj;
 
 								// needed to delete temp files
 							register_shutdown_function(array(&$obj, '__destruct'));
Index: t3lib/class.t3lib_userauthgroup.php
===================================================================
--- t3lib/class.t3lib_userauthgroup.php	(Revision 5854)
+++ t3lib/class.t3lib_userauthgroup.php	(Arbeitskopie)
@@ -422,7 +422,7 @@
 
 
 			// Acquire RTE object:
-		$RTE = &t3lib_BEfunc::RTEgetObj();
+		$RTE = t3lib_BEfunc::RTEgetObj();
 		if (!is_object($RTE))	{
 			$this->RTE_errors = array_merge($this->RTE_errors, $RTE);
 		}
@@ -1228,7 +1228,7 @@
 			// Hook for manipulation of the WHERE sql sentence which controls which BE-groups are included
 		if (is_array ($GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['t3lib/class.t3lib_userauthgroup.php']['fetchGroupQuery'])) {
 			foreach ($GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['t3lib/class.t3lib_userauthgroup.php']['fetchGroupQuery'] as $classRef) {
-			$hookObj = &t3lib_div::getUserObj($classRef);
+			$hookObj = t3lib_div::getUserObj($classRef);
 			if(method_exists($hookObj,'fetchGroupQuery_processQuery')){
 				$whereSQL = $hookObj->fetchGroupQuery_processQuery($this, $grList, $idList, $whereSQL);
 			}
Index: t3lib/class.t3lib_tcemain.php
===================================================================
--- t3lib/class.t3lib_tcemain.php	(Revision 5854)
+++ t3lib/class.t3lib_tcemain.php	(Arbeitskopie)
@@ -604,7 +604,7 @@
 		$hookObjectsArr = array();
 		if (is_array ($TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_tcemain.php']['processDatamapClass'])) {
 			foreach ($TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_tcemain.php']['processDatamapClass'] as $classRef) {
-				$hookObjectsArr[] = &t3lib_div::getUserObj($classRef);
+				$hookObjectsArr[] = t3lib_div::getUserObj($classRef);
 			}
 		}
 
@@ -1138,7 +1138,7 @@
 								$RTErelPath = is_array($eFile) ? dirname($eFile['relEditFile']) : '';
 
 									// Get RTE object, draw form and set flag:
-								$RTEobj = &t3lib_BEfunc::RTEgetObj();
+								$RTEobj = t3lib_BEfunc::RTEgetObj();
 								if (is_object($RTEobj))	{
 									$fieldArray[$vconf['field']] = $RTEobj->transformContent('db',$fieldArray[$vconf['field']],$table,$vconf['field'],$currentRecord,$vconf['spec'],$thisConfig,$RTErelPath,$currentRecord['pid']);
 								} else {
@@ -2361,7 +2361,7 @@
 										$thisConfig = t3lib_BEfunc::RTEsetup($RTEsetup['properties'],$CVtable,$recFieldName,$theTypeString);
 
 											// Get RTE object, draw form and set flag:
-										$RTEobj = &t3lib_BEfunc::RTEgetObj();
+										$RTEobj = t3lib_BEfunc::RTEgetObj();
 										if (is_object($RTEobj))	{
 											$res['value'] = $RTEobj->transformContent('db',$res['value'],$CVtable,$recFieldName,$this->checkValue_currentRecord,$specConf,$thisConfig,'',$CVrealPid);
 										} else {
@@ -2499,7 +2499,7 @@
 		$hookObjectsArr = array();
 		if (is_array ($TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_tcemain.php']['processCmdmapClass'])) {
 			foreach ($TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_tcemain.php']['processCmdmapClass'] as $classRef) {
-				$hookObjectsArr[] = &t3lib_div::getUserObj($classRef);
+				$hookObjectsArr[] = t3lib_div::getUserObj($classRef);
 			}
 		}
 #debug($this->cmdmap);
@@ -3556,7 +3556,7 @@
 		$hookObjectsArr = array();
 		if (is_array ($TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_tcemain.php']['moveRecordClass'])) {
 			foreach ($TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_tcemain.php']['moveRecordClass'] as $classRef) {
-				$hookObjectsArr[] = &t3lib_div::getUserObj($classRef);
+				$hookObjectsArr[] = t3lib_div::getUserObj($classRef);
 			}
 		}
 
@@ -4176,7 +4176,7 @@
 	 * @param	[type]		$pObj: ...
 	 * @return	[type]		...
 	 */
-	function deleteRecord_flexFormCallBack($dsArr, $dataValue, $PA, $structurePath, &$pObj)	{
+	function deleteRecord_flexFormCallBack($dsArr, $dataValue, $PA, $structurePath, $pObj)	{
 
 			// Use reference index object to find files in fields:
 		$refIndexObj = t3lib_div::makeInstance('t3lib_refindex');
Index: t3lib/class.t3lib_parsehtml_proc.php
===================================================================
--- t3lib/class.t3lib_parsehtml_proc.php	(Revision 5854)
+++ t3lib/class.t3lib_parsehtml_proc.php	(Arbeitskopie)
@@ -289,8 +289,8 @@
 			if ($direction=='db')	{
 					// Checking for user defined transformation:
 				if ($_classRef = $GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['t3lib/class.t3lib_parsehtml_proc.php']['transformation'][$cmd])	{
-					$_procObj = &t3lib_div::getUserObj($_classRef);
-					$_procObj->pObj = &$this;
+					$_procObj = t3lib_div::getUserObj($_classRef);
+					$_procObj->pObj = $this;
 					$_procObj->transformationKey = $cmd;
 					$value = $_procObj->transform_db($value,$this);
 				} else {	// ... else use defaults:
@@ -325,8 +325,8 @@
 			if ($direction=='rte')	{
 					// Checking for user defined transformation:
 				if ($_classRef = $GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['t3lib/class.t3lib_parsehtml_proc.php']['transformation'][$cmd])	{
-					$_procObj = &t3lib_div::getUserObj($_classRef);
-					$_procObj->pObj = &$this;
+					$_procObj = t3lib_div::getUserObj($_classRef);
+					$_procObj->pObj = $this;
 					$value = $_procObj->transform_rte($value,$this);
 				} else {	// ... else use defaults:
 					switch($cmd)	{
Index: t3lib/class.t3lib_extobjbase.php
===================================================================
--- t3lib/class.t3lib_extobjbase.php	(Revision 5854)
+++ t3lib/class.t3lib_extobjbase.php	(Arbeitskopie)
@@ -198,7 +198,7 @@
 	function init(&$pObj,$conf)	{
 		global $LANG;
 
-		$this->pObj = &$pObj;
+		$this->pObj = $pObj;
 
 			// Path of this script:
 		$this->thisPath = dirname($conf['path']);
Index: typo3/class.browse_links.php
===================================================================
--- typo3/class.browse_links.php	(Revision 5854)
+++ typo3/class.browse_links.php	(Arbeitskopie)
@@ -779,7 +779,7 @@
 		$this->hookObjects = array();
 		if (is_array($GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['typo3/class.browse_links.php']['browseLinksHook'])) {
 			foreach($GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['typo3/class.browse_links.php']['browseLinksHook'] as $classData) {
-				$processObject = &t3lib_div::getUserObj($classData);
+				$processObject = t3lib_div::getUserObj($classData);
 
 				if(!($processObject instanceof t3lib_browseLinksHook)) {
 					throw new UnexpectedValueException('$processObject must implement interface t3lib_browseLinksHook', 1195039394);
Index: typo3/class.db_list.inc
===================================================================
--- typo3/class.db_list.inc	(Revision 5854)
+++ typo3/class.db_list.inc	(Arbeitskopie)
@@ -468,7 +468,7 @@
 		$hookObjectsArr = array();
 		if (is_array ($TYPO3_CONF_VARS['SC_OPTIONS']['typo3/class.db_list.inc']['makeQueryArray'])) {
 			foreach ($TYPO3_CONF_VARS['SC_OPTIONS']['typo3/class.db_list.inc']['makeQueryArray'] as $classRef) {
-				$hookObjectsArr[] = &t3lib_div::getUserObj($classRef);
+				$hookObjectsArr[] = t3lib_div::getUserObj($classRef);
 			}
 		}
 
Index: typo3/class.file_list.inc
===================================================================
--- typo3/class.file_list.inc	(Revision 5854)
+++ typo3/class.file_list.inc	(Arbeitskopie)
@@ -713,7 +713,7 @@
 			// Hook for manipulating edit icons.
 		if(is_array($GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['fileList']['editIconsHook'])) {
 			foreach($GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['fileList']['editIconsHook'] as $classData) {
-				$hookObject = &t3lib_div::getUserObj($classData);
+				$hookObject = t3lib_div::getUserObj($classData);
 
 				if(!($hookObject instanceof fileList_editIconHook)) {
 					throw new UnexpectedValueException('$hookObject must implement interface fileList_editIconHook', 1235225797);
Index: typo3/alt_topmenu_dummy.php
===================================================================
--- typo3/alt_topmenu_dummy.php	(Revision 5854)
+++ typo3/alt_topmenu_dummy.php	(Arbeitskopie)
@@ -88,7 +88,7 @@
 			// Hook for adding content to the topmenu. Only works if noMenuMode is not set to "icons" in the users setup!
 		if (!$iconMenuMode && is_array ($GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['typo3/alt_topmenu_dummy.php']['fetchContentTopmenu']))	{
 			foreach ($GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['typo3/alt_topmenu_dummy.php']['fetchContentTopmenu'] as $classRef)	{
-				$hookObj = &t3lib_div::getUserObj($classRef);
+				$hookObj = t3lib_div::getUserObj($classRef);
 				if (method_exists($hookObj,'fetchContentTopmenu_processContent'))	{
 					$tempContent = $hookObj->fetchContentTopmenu_processContent($this);
 
Index: typo3/classes/class.modulemenu.php
===================================================================
--- typo3/classes/class.modulemenu.php	(Revision 5854)
+++ typo3/classes/class.modulemenu.php	(Arbeitskopie)
@@ -115,7 +115,7 @@
 	 * @param	TYPO3AJAX	object of type TYPO3AJAX
 	 * @return	void
 	 */
-	public function saveMenuState($params, &$ajaxObj) {
+	public function saveMenuState($params, $ajaxObj) {
 		$menuItem = t3lib_div::_POST('menuid');
 		$state    = t3lib_div::_POST('state') === 'true' ? 1 : 0;
 
Index: typo3/classes/class.clearcachemenu.php
===================================================================
--- typo3/classes/class.clearcachemenu.php	(Revision 5854)
+++ typo3/classes/class.clearcachemenu.php	(Arbeitskopie)
@@ -93,7 +93,7 @@
 			// hook for manipulate cacheActions
 		if(is_array($GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['additionalBackendItems']['cacheActions'])) {
 			foreach($GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['additionalBackendItems']['cacheActions'] as $cacheAction) {
-				$hookObject = &t3lib_div::getUserObj($cacheAction);
+				$hookObject = t3lib_div::getUserObj($cacheAction);
 
 				if(!($hookObject instanceof backend_cacheActionsHook)) {
 					throw new UnexpectedValueException('$hookObject must implement interface backend_cacheActionsHook', 1228262000);
Index: typo3/wizard_rte.php
===================================================================
--- typo3/wizard_rte.php	(Revision 5854)
+++ typo3/wizard_rte.php	(Arbeitskopie)
@@ -157,7 +157,7 @@
 			$tceforms->colorScheme[0]=$this->doc->bgColor;	// SPECIAL: Setting background color of the RTE to ordinary background
 
 				// Initialize style for RTE object:
-			$RTEobj = &t3lib_BEfunc::RTEgetObj();	// Getting reference to the RTE object used to render the field!
+			$RTEobj = t3lib_BEfunc::RTEgetObj();	// Getting reference to the RTE object used to render the field!
 			if ($RTEobj->ID == 'rte')	{
 				$RTEobj->RTEdivStyle = 'position:relative; left:0px; top:0px; height:100%; width:100%; border:solid 0px;';	// SPECIAL: Setting style for the RTE <DIV> layer containing the IFRAME
 			}
Index: typo3/view_help.php
===================================================================
--- typo3/view_help.php	(Revision 5854)
+++ typo3/view_help.php	(Arbeitskopie)
@@ -829,7 +829,7 @@
 	 */
 	function substituteGlossaryWords($code) {
 		$htmlParser = t3lib_div::makeInstance('local_t3lib_parsehtml');
-		$htmlParser->pObj = &$this;
+		$htmlParser->pObj = $this;
 		$code = $htmlParser->HTMLcleaner($code, array(), 1);
 
 		return $code;
Index: typo3/alt_db_navframe.php
===================================================================
--- typo3/alt_db_navframe.php	(Revision 5854)
+++ typo3/alt_db_navframe.php	(Arbeitskopie)
@@ -382,10 +382,10 @@
 	 * Called by typo3/ajax.php
 	 *
 	 * @param	array		$params: additional parameters (not used here)
-	 * @param	TYPO3AJAX	&$ajaxObj: reference of the TYPO3AJAX object of this request
+	 * @param	TYPO3AJAX	$ajaxObj: The TYPO3AJAX object of this request
 	 * @return	void
 	 */
-	public function ajaxExpandCollapse($params, &$ajaxObj) {
+	public function ajaxExpandCollapse($params, $ajaxObj) {
 		global $LANG;
 
 		$this->init();
Index: typo3/mod/tools/em/class.em_index.php
===================================================================
--- typo3/mod/tools/em/class.em_index.php	(Revision 5854)
+++ typo3/mod/tools/em/class.em_index.php	(Arbeitskopie)
@@ -409,10 +409,10 @@
 
 			// Initialize helper object
 		$this->terConnection = t3lib_div::makeInstance('SC_mod_tools_em_terconnection');
-		$this->terConnection->emObj =& $this;
+		$this->terConnection->emObj = $this;
 		$this->terConnection->wsdlURL = $TYPO3_CONF_VARS['EXT']['em_wsdlURL'];
 		$this->xmlhandler = t3lib_div::makeInstance('SC_mod_tools_em_xmlhandler');
-		$this->xmlhandler->emObj =& $this;
+		$this->xmlhandler->emObj = $this;
 		$this->xmlhandler->useUnchecked = $this->MOD_SETTINGS['display_unchecked'];
 		$this->xmlhandler->useObsolete = $this->MOD_SETTINGS['display_obsolete'];
 
Index: typo3/alt_file_navframe.php
===================================================================
--- typo3/alt_file_navframe.php	(Revision 5854)
+++ typo3/alt_file_navframe.php	(Arbeitskopie)
@@ -292,10 +292,10 @@
 	 * Called by typo3/ajax.php
 	 *
 	 * @param	array		$params: additional parameters (not used here)
-	 * @param	TYPO3AJAX	&$ajaxObj: reference of the TYPO3AJAX object of this request
+	 * @param	TYPO3AJAX	$ajaxObj: The TYPO3AJAX object of this request
 	 * @return	void
 	 */
-	public function ajaxExpandCollapse($params, &$ajaxObj)	{
+	public function ajaxExpandCollapse($params, $ajaxObj) {
 		global $LANG;
 
 		$this->init();
Index: typo3/class.db_list_extra.inc
===================================================================
--- typo3/class.db_list_extra.inc	(Revision 5854)
+++ typo3/class.db_list_extra.inc	(Arbeitskopie)
@@ -387,7 +387,7 @@
 		 */
 		if(is_array($TYPO3_CONF_VARS['SC_OPTIONS']['typo3/class.db_list_extra.inc']['getTable'])) {
 			foreach($TYPO3_CONF_VARS['SC_OPTIONS']['typo3/class.db_list_extra.inc']['getTable'] as $classData) {
-				$hookObject = &t3lib_div::getUserObj($classData);
+				$hookObject = t3lib_div::getUserObj($classData);
 
 				if(!($hookObject instanceof t3lib_localRecordListGetTableHook)) {
 					throw new UnexpectedValueException('$hookObject must implement interface t3lib_localRecordListGetTableHook', 1195114460);
@@ -823,7 +823,7 @@
 					 */
 					if(is_array($TYPO3_CONF_VARS['SC_OPTIONS']['typo3/class.db_list_extra.inc']['actions']))	{
 						foreach($TYPO3_CONF_VARS['SC_OPTIONS']['typo3/class.db_list_extra.inc']['actions'] as $classData)	{
-							$hookObject = &t3lib_div::getUserObj($classData);
+							$hookObject = t3lib_div::getUserObj($classData);
 							if(!($hookObject instanceof localRecordList_actionsHook))	{
 								throw new UnexpectedValueException('$hookObject must implement interface localRecordList_actionsHook', 1195567850);
 							}
@@ -915,7 +915,7 @@
 		 */
 		if(is_array($TYPO3_CONF_VARS['SC_OPTIONS']['typo3/class.db_list_extra.inc']['actions']))	{
 			foreach($TYPO3_CONF_VARS['SC_OPTIONS']['typo3/class.db_list_extra.inc']['actions'] as $classData)	{
-				$hookObject = &t3lib_div::getUserObj($classData);
+				$hookObject = t3lib_div::getUserObj($classData);
 				if(!($hookObject instanceof localRecordList_actionsHook))	{
 					throw new UnexpectedValueException('$hookObject must implement interface localRecordList_actionsHook', 1195567855);
 				}
@@ -1293,7 +1293,7 @@
 		 */
 		if(is_array($TYPO3_CONF_VARS['SC_OPTIONS']['typo3/class.db_list_extra.inc']['actions'])) {
 			foreach($TYPO3_CONF_VARS['SC_OPTIONS']['typo3/class.db_list_extra.inc']['actions'] as $classData) {
-				$hookObject = &t3lib_div::getUserObj($classData);
+				$hookObject = t3lib_div::getUserObj($classData);
 				if(!($hookObject instanceof localRecordList_actionsHook))	{
 					throw new UnexpectedValueException('$hookObject must implement interface localRecordList_actionsHook', 1195567840);
 				}
@@ -1382,7 +1382,7 @@
 		 */
 		if(is_array($TYPO3_CONF_VARS['SC_OPTIONS']['typo3/class.db_list_extra.inc']['actions'])) {
 			foreach($TYPO3_CONF_VARS['SC_OPTIONS']['typo3/class.db_list_extra.inc']['actions'] as $classData) {
-				$hookObject = &t3lib_div::getUserObj($classData);
+				$hookObject = t3lib_div::getUserObj($classData);
 				if(!($hookObject instanceof localRecordList_actionsHook))	{
 					throw new UnexpectedValueException('$hookObject must implement interface localRecordList_actionsHook', 1195567845);
 				}
Index: typo3/sysext/sv/class.tx_sv_authbase.php
===================================================================
--- typo3/sysext/sv/class.tx_sv_authbase.php	(Revision 5854)
+++ typo3/sysext/sv/class.tx_sv_authbase.php	(Arbeitskopie)
@@ -82,9 +82,9 @@
 	 * @param	object		Parent object
 	 * @return	void
 	 */
-	function initAuth($mode, $loginData, $authInfo, &$pObj)	{
+	function initAuth($mode, $loginData, $authInfo, $pObj) {
 
-		$this->pObj = &$pObj;
+		$this->pObj = $pObj;
 
 		$this->mode = $mode;	// sub type
 		$this->login = $loginData;
Index: typo3/sysext/lowlevel/class.tx_lowlevel_cleaner_core.php
===================================================================
--- typo3/sysext/lowlevel/class.tx_lowlevel_cleaner_core.php	(Revision 5854)
+++ typo3/sysext/lowlevel/class.tx_lowlevel_cleaner_core.php	(Arbeitskopie)
@@ -155,7 +155,7 @@
 		switch((string)$analysisType)    {
 			default:
 				if (is_array($this->cleanerModules[$analysisType]))	{
-					$cleanerMode = &t3lib_div::getUserObj($this->cleanerModules[$analysisType][0]);
+					$cleanerMode = t3lib_div::getUserObj($this->cleanerModules[$analysisType][0]);
 					$cleanerMode->cli_validateArgs();
 
 					if ($this->cli_isArg('-r'))	{	// Run it...
Index: typo3/sysext/lowlevel/clmods/class.rte_images.php
===================================================================
--- typo3/sysext/lowlevel/clmods/class.rte_images.php	(Revision 5854)
+++ typo3/sysext/lowlevel/clmods/class.rte_images.php	(Arbeitskopie)
@@ -162,7 +162,7 @@
 
 			// Now, ask for RTEmagic files inside uploads/ folder:
 		$cleanerModules = $GLOBALS['TYPO3_CONF_VARS']['EXTCONF']['lowlevel']['cleanerModules'];
-		$cleanerMode = &t3lib_div::getUserObj($cleanerModules['lost_files'][0]);
+		$cleanerMode = t3lib_div::getUserObj($cleanerModules['lost_files'][0]);
 		$resLostFiles = $cleanerMode->main(array(),FALSE,TRUE);
 		if (is_array($resLostFiles['RTEmagicFiles']))	{
 			foreach($resLostFiles['RTEmagicFiles'] as $fileName) {
@@ -220,7 +220,7 @@
 								if ($rteOrigName && t3lib_div::isFirstPartOfStr($dirPrefix,'uploads/') && @is_dir(PATH_site.$dirPrefix))	{	// RTE:
 
 										// From the "original" RTE filename, produce a new "original" destination filename which is unused.
-									$fileProcObj = &$this->getFileProcObj();
+									$fileProcObj = $this->getFileProcObj();
 									$origDestName = $fileProcObj->getUniqueName($rteOrigName, PATH_site.$dirPrefix);
 
 										// Create copy file name:
@@ -290,7 +290,7 @@
 	 *
 	 * @return	object		File processor object
 	 */
-	function &getFileProcObj()	{
+	function getFileProcObj() {
 		if (!is_object($this->fileProcObj))	{
 			$this->fileProcObj = t3lib_div::makeInstance('t3lib_extFileFunctions');
 			$this->fileProcObj->init($GLOBALS['FILEMOUNTS'], $GLOBALS['TYPO3_CONF_VARS']['BE']['fileExtensions']);
Index: typo3/sysext/cms/layout/class.tx_cms_layout.php
===================================================================
--- typo3/sysext/cms/layout/class.tx_cms_layout.php	(Revision 5854)
+++ typo3/sysext/cms/layout/class.tx_cms_layout.php	(Arbeitskopie)
@@ -1687,7 +1687,7 @@
 
 		if (is_array($drawItemHooks)) {
 			foreach($drawItemHooks as $hookClass)    {
-				$hookObject = &t3lib_div::getUserObj($hookClass);
+				$hookObject = t3lib_div::getUserObj($hookClass);
 
 				if(!($hookObject instanceof tx_cms_layout_tt_content_drawItemHook)) {
 					throw new UnexpectedValueException('$hookObject must implement interface tx_cms_layout_tt_content_drawItemHook', 1218547409);
Index: typo3/sysext/cms/layout/db_new_content_el.php
===================================================================
--- typo3/sysext/cms/layout/db_new_content_el.php	(Revision 5854)
+++ typo3/sysext/cms/layout/db_new_content_el.php	(Arbeitskopie)
@@ -265,7 +265,7 @@
 				// Hook for manipulating wizardItems, wrapper, onClickEvent etc.
 			if(is_array($GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['cms']['db_new_content_el']['wizardItemsHook'])) {
 				foreach($GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['cms']['db_new_content_el']['wizardItemsHook'] as $classData) {
-					$hookObject = &t3lib_div::getUserObj($classData);
+					$hookObject = t3lib_div::getUserObj($classData);
 
 					if(!($hookObject instanceof cms_newContentElementWizardsHook)) {
 						throw new UnexpectedValueException('$hookObject must implement interface cms_newContentElementWizardItemsHook', 1227834741);
Index: typo3/sysext/cms/tslib/media/scripts/fe_adminLib.inc
===================================================================
--- typo3/sysext/cms/tslib/media/scripts/fe_adminLib.inc	(Revision 5854)
+++ typo3/sysext/cms/tslib/media/scripts/fe_adminLib.inc	(Arbeitskopie)
@@ -757,7 +757,7 @@
 	function userProcess($mConfKey,$passVar)	{
 		if ($this->conf[$mConfKey])	{
 			$funcConf = $this->conf[$mConfKey.'.'];
-			$funcConf['parentObj']=&$this;
+			$funcConf['parentObj'] = $this;
 			$passVar = $GLOBALS['TSFE']->cObj->callUserFunction($this->conf[$mConfKey], $funcConf, $passVar);
 		}
 		return $passVar;
@@ -775,7 +775,7 @@
 	function userProcess_alt($confVal,$confArr,$passVar)	{
 		if ($confVal)	{
 			$funcConf = $confArr;
-			$funcConf['parentObj']=&$this;
+			$funcConf['parentObj'] = $this;
 			$passVar = $GLOBALS['TSFE']->cObj->callUserFunction($confVal, $funcConf, $passVar);
 		}
 		return $passVar;
Index: typo3/sysext/cms/tslib/media/scripts/plaintextLib.inc
===================================================================
--- typo3/sysext/cms/tslib/media/scripts/plaintextLib.inc	(Revision 5854)
+++ typo3/sysext/cms/tslib/media/scripts/plaintextLib.inc	(Arbeitskopie)
@@ -597,7 +597,7 @@
 	function userProcess($mConfKey,$passVar)	{
 		if ($this->conf[$mConfKey])	{
 			$funcConf = $this->conf[$mConfKey.'.'];
-			$funcConf['parentObj']=&$this;
+			$funcConf['parentObj'] = $this;
 			$passVar = $GLOBALS['TSFE']->cObj->callUserFunction($this->conf[$mConfKey], $funcConf, $passVar);
 		}
 		return $passVar;
Index: typo3/sysext/cms/tslib/class.tslib_fe.php
===================================================================
--- typo3/sysext/cms/tslib/class.tslib_fe.php	(Revision 5854)
+++ typo3/sysext/cms/tslib/class.tslib_fe.php	(Arbeitskopie)
@@ -2385,7 +2385,7 @@
 			// Hook for processing data submission to extensions:
 		if (is_array($this->TYPO3_CONF_VARS['SC_OPTIONS']['tslib/class.tslib_fe.php']['checkDataSubmission']))	{
 			foreach($this->TYPO3_CONF_VARS['SC_OPTIONS']['tslib/class.tslib_fe.php']['checkDataSubmission'] as $_classRef)	{
-				$_procObj = &t3lib_div::getUserObj($_classRef);
+				$_procObj = t3lib_div::getUserObj($_classRef);
 				$_procObj->checkDataSubmission($this);
 			}
 		}
@@ -2464,7 +2464,7 @@
 			// Hook for preprocessing of the content for formmails:
 		if (is_array($this->TYPO3_CONF_VARS['SC_OPTIONS']['tslib/class.tslib_fe.php']['sendFormmail-PreProcClass']))	{
 			foreach($this->TYPO3_CONF_VARS['SC_OPTIONS']['tslib/class.tslib_fe.php']['sendFormmail-PreProcClass'] as $_classRef)	{
-				$_procObj = &t3lib_div::getUserObj($_classRef);
+				$_procObj = t3lib_div::getUserObj($_classRef);
 				$EMAIL_VARS = $_procObj->sendFormmail_preProcessVariables($EMAIL_VARS,$this);
 			}
 		}
@@ -2713,7 +2713,7 @@
 			// Hook for cache post processing (eg. writing static files!)
 		if (is_array($this->TYPO3_CONF_VARS['SC_OPTIONS']['tslib/class.tslib_fe.php']['insertPageIncache']))	{
 			foreach($this->TYPO3_CONF_VARS['SC_OPTIONS']['tslib/class.tslib_fe.php']['insertPageIncache'] as $_classRef)	{
-				$_procObj = &t3lib_div::getUserObj($_classRef);
+				$_procObj = t3lib_div::getUserObj($_classRef);
 				$_procObj->insertPageIncache($this,$timeOutTime);
 			}
 		}
@@ -2998,7 +2998,7 @@
 			// Hook for indexing pages
 		if (is_array($this->TYPO3_CONF_VARS['SC_OPTIONS']['tslib/class.tslib_fe.php']['pageIndexing'])) {
 			foreach($this->TYPO3_CONF_VARS['SC_OPTIONS']['tslib/class.tslib_fe.php']['pageIndexing'] as $_classRef) {
-				$_procObj = &t3lib_div::getUserObj($_classRef);
+				$_procObj = t3lib_div::getUserObj($_classRef);
 				$_procObj->hook_indexContent($this);
 			}
 		}
@@ -3631,7 +3631,7 @@
 						// Hook for preprocessing the list of fields to insert into sys_stat:
 					if (is_array($this->TYPO3_CONF_VARS['SC_OPTIONS']['tslib/class.tslib_fe.php']['sys_stat-PreProcClass']))    {
 						foreach($this->TYPO3_CONF_VARS['SC_OPTIONS']['tslib/class.tslib_fe.php']['sys_stat-PreProcClass'] as $_classRef)    {
-							$_procObj = &t3lib_div::getUserObj($_classRef);
+							$_procObj = t3lib_div::getUserObj($_classRef);
 							$insertFields = $_procObj->sysstat_preProcessFields($insertFields,$this);
 						}
 					}
Index: typo3/sysext/cms/tslib/hooks/class.tx_cms_mediaitems.php
===================================================================
--- typo3/sysext/cms/tslib/hooks/class.tx_cms_mediaitems.php	(Revision 5855)
+++ typo3/sysext/cms/tslib/hooks/class.tx_cms_mediaitems.php	(Arbeitskopie)
@@ -43,7 +43,7 @@
 	public function customMediaRenderTypes(&$params, $conf) {
 		if (is_array ($GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['tslib/hooks/class.tx_cms_mediaitems.php']['customMediaRenderTypes'])) {
 			foreach ($GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['tslib/hooks/class.tx_cms_mediaitems.php']['customMediaRenderTypes'] as $classRef) {
-				$hookObj = &t3lib_div::getUserObj($classRef);
+				$hookObj = t3lib_div::getUserObj($classRef);
 				$hookObj->customMediaRenderTypes($params, $conf);
 			}
 		}
@@ -61,7 +61,7 @@
 		
 		if (is_array ($GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['tslib/hooks/class.tx_cms_mediaitems.php']['customMediaParams'])) {
 			foreach ($GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['tslib/hooks/class.tx_cms_mediaitems.php']['customMediaParams'] as $classRef) {
-				$hookObj = &t3lib_div::getUserObj($classRef);
+				$hookObj = t3lib_div::getUserObj($classRef);
 				$hookObj->customMediaParams($params, $conf);
 			}
 		}
Index: typo3/sysext/cms/tslib/class.tslib_menu.php
===================================================================
--- typo3/sysext/cms/tslib/class.tslib_menu.php	(Revision 5854)
+++ typo3/sysext/cms/tslib/class.tslib_menu.php	(Arbeitskopie)
@@ -230,8 +230,8 @@
 
 			// Sets the internal vars. $tmpl MUST be the template-object. $sys_page MUST be the sys_page object
 		if ($this->conf[$this->menuNumber.$objSuffix] && is_object($tmpl) && is_object($sys_page))	{
-			$this->tmpl = &$tmpl;
-			$this->sys_page = &$sys_page;
+			$this->tmpl = $tmpl;
+			$this->sys_page = $sys_page;
 
 				// alwaysActivePIDlist initialized:
 			if (trim($this->conf['alwaysActivePIDlist']) || isset($this->conf['alwaysActivePIDlist.'])) {
@@ -1332,7 +1332,7 @@
 			}
 
 				// especially scripts that build the submenu needs the parent data
-			$submenu->parent_cObj = &$this->parent_cObj;
+			$submenu->parent_cObj = $this->parent_cObj;
 			$submenu->parentMenuArr = $this->menuArr;
 
 				// Setting alternativeMenuTempArray (will be effective only if an array)
@@ -1509,7 +1509,7 @@
 	function userProcess($mConfKey,$passVar)	{
 		if ($this->mconf[$mConfKey])	{
 			$funcConf = $this->mconf[$mConfKey.'.'];
-			$funcConf['parentObj']=&$this;
+			$funcConf['parentObj'] = $this;
 			$passVar = $GLOBALS['TSFE']->cObj->callUserFunction($this->mconf[$mConfKey], $funcConf, $passVar);
 		}
 		return $passVar;
Index: typo3/sysext/cms/tslib/class.tslib_content.php
===================================================================
--- typo3/sysext/cms/tslib/class.tslib_content.php	(Revision 5854)
+++ typo3/sysext/cms/tslib/class.tslib_content.php	(Arbeitskopie)
@@ -380,13 +380,13 @@
 		$this->parameters = Array();
 		if (is_array ($TYPO3_CONF_VARS['SC_OPTIONS']['tslib/class.tslib_content.php']['cObjTypeAndClass'])) {
 			foreach ($TYPO3_CONF_VARS['SC_OPTIONS']['tslib/class.tslib_content.php']['cObjTypeAndClass'] as $classArr) {
-				$this->cObjHookObjectsArr[$classArr[0]] = &t3lib_div::getUserObj($classArr[1]);
+				$this->cObjHookObjectsArr[$classArr[0]] = t3lib_div::getUserObj($classArr[1]);
 			}
 		}
 
 		if(is_array($TYPO3_CONF_VARS['SC_OPTIONS']['tslib/class.tslib_content.php']['stdWrap'])) {
 			foreach($TYPO3_CONF_VARS['SC_OPTIONS']['tslib/class.tslib_content.php']['stdWrap'] as $classData) {
-				$hookObject = &t3lib_div::getUserObj($classData);
+				$hookObject = t3lib_div::getUserObj($classData);
 
 				if(!($hookObject instanceof tslib_content_stdWrapHook)) {
 					throw new UnexpectedValueException('$hookObject must implement interface tslib_content_stdWrapHook', 1195043965);
@@ -643,7 +643,7 @@
 								// call hook functions for extra processing
 							if($name && is_array($TYPO3_CONF_VARS['SC_OPTIONS']['tslib/class.tslib_content.php']['cObjTypeAndClassDefault']))    {
 								foreach($TYPO3_CONF_VARS['SC_OPTIONS']['tslib/class.tslib_content.php']['cObjTypeAndClassDefault'] as $classData)    {
-									$hookObject = &t3lib_div::getUserObj($classData);
+									$hookObject = t3lib_div::getUserObj($classData);
 
 									if(!($hookObject instanceof tslib_content_cObjGetSingleHook)) {
 										throw new UnexpectedValueException('$hookObject must implement interface tslib_content_cObjGetSingleHook', 1195043731);
@@ -2785,7 +2785,7 @@
 				default:
 					if (is_array ($GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['tslib/hooks/class.tx_cms_mediaitems.php']['customMediaRender'])) {
 						foreach ($GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['tslib/hooks/class.tx_cms_mediaitems.php']['customMediaRender'] as $classRef) {
-							$hookObj = &t3lib_div::getUserObj($classRef);
+							$hookObj = t3lib_div::getUserObj($classRef);
 							$conf['file'] = $url;
 							$conf['mode'] = $mode;
 							$content = $hookObj->customMediaRender($renderType, $conf);
@@ -3322,7 +3322,7 @@
 		$out = '';
 
 		if ($GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['tslib/class.tslib_content.php']['extLinkATagParamsHandler']) {
-			$extLinkATagParamsHandler = &t3lib_div::getUserObj($GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['tslib/class.tslib_content.php']['extLinkATagParamsHandler']);
+			$extLinkATagParamsHandler = t3lib_div::getUserObj($GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['tslib/class.tslib_content.php']['extLinkATagParamsHandler']);
 
 			if(method_exists($extLinkATagParamsHandler, 'main')) {
 				$out.= trim($extLinkATagParamsHandler->main($URL, $TYPE, $this));
@@ -5491,7 +5491,7 @@
 
 			if(is_array($TYPO3_CONF_VARS['SC_OPTIONS']['tslib/class.tslib_content.php']['getData']))    {
 				foreach($TYPO3_CONF_VARS['SC_OPTIONS']['tslib/class.tslib_content.php']['getData'] as $classData)    {
-					$hookObject = &t3lib_div::getUserObj($classData);
+					$hookObject = t3lib_div::getUserObj($classData);
 
 					if(!($hookObject instanceof tslib_content_getDataHook)) {
 						throw new UnexpectedValueException('$hookObject must implement interface tslib_content_getDataHook', 1195044480);
@@ -5678,7 +5678,7 @@
 				// Check for link-handler keyword:
 			list($linkHandlerKeyword,$linkHandlerValue) = explode(':',trim($link_paramA[0]),2);
 			if ($GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['tslib/class.tslib_content.php']['typolinkLinkHandler'][$linkHandlerKeyword] && strcmp($linkHandlerValue, '')) {
-				$linkHandlerObj = &t3lib_div::getUserObj($GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['tslib/class.tslib_content.php']['typolinkLinkHandler'][$linkHandlerKeyword]);
+				$linkHandlerObj = t3lib_div::getUserObj($GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['tslib/class.tslib_content.php']['typolinkLinkHandler'][$linkHandlerKeyword]);
 
 				if(method_exists($linkHandlerObj, 'main')) {
 					return $linkHandlerObj->main($linktxt, $conf, $linkHandlerKeyword, $linkHandlerValue, $link_param, $this);
@@ -6417,7 +6417,7 @@
 			if ($this->isClassAvailable($parts[0], $conf)) {
 				$classObj = t3lib_div::makeInstance($parts[0]);
 				if (is_object($classObj) && method_exists($classObj, $parts[1])) {
-					$classObj->cObj = &$this;
+					$classObj->cObj = $this;
 				 	$content = call_user_func_array(array($classObj, $parts[1]), array($content, $conf));
 				} else {
 					$GLOBALS['TT']->setTSlogMessage('Method "' . $parts[1] . '" did not exist in class "' . $parts[0] . '"', 3);
Index: typo3/sysext/dbal/handlers/class.tx_dbal_handler_openoffice.php
===================================================================
--- typo3/sysext/dbal/handlers/class.tx_dbal_handler_openoffice.php	(Revision 5854)
+++ typo3/sysext/dbal/handlers/class.tx_dbal_handler_openoffice.php	(Arbeitskopie)
@@ -86,7 +86,7 @@
 	 * @param	object		Parent object
 	 * @return	boolean		True on success.
 	 */
-	function init($config, &$pObj)	{
+	function init($config, $pObj) {
 		$this->config = $config['config'];
 
 		if (t3lib_extMgm::isLoaded('libunzipped'))	{
Index: typo3/sysext/dbal/handlers/class.tx_dbal_handler_rawmysql.php
===================================================================
--- typo3/sysext/dbal/handlers/class.tx_dbal_handler_rawmysql.php	(Revision 5854)
+++ typo3/sysext/dbal/handlers/class.tx_dbal_handler_rawmysql.php	(Arbeitskopie)
@@ -99,7 +99,7 @@
 	 */
 	function init($config,&$pObj)	{
 		$this->config = $config['config'];
-		$this->pObj = &$pObj;
+		$this->pObj = $pObj;
 		$this->link = mysql_pconnect(
 							$this->config['host'],
 							$this->config['username'],
Index: typo3/sysext/dbal/handlers/class.tx_dbal_handler_xmldb.php
===================================================================
--- typo3/sysext/dbal/handlers/class.tx_dbal_handler_xmldb.php	(Revision 5854)
+++ typo3/sysext/dbal/handlers/class.tx_dbal_handler_xmldb.php	(Arbeitskopie)
@@ -89,7 +89,7 @@
 	 * @param	object		Parent object
 	 * @return	void
 	 */
-	function init($config, &$pObj)	{
+	function init($config, $pObj) {
 		$this->config = $config['config'];
 
 		$dbStorage = t3lib_div::getFileAbsFileName($this->config['DBstorageDir']);
Index: typo3/sysext/impexp/class.tx_impexp.php
===================================================================
--- typo3/sysext/impexp/class.tx_impexp.php	(Revision 5854)
+++ typo3/sysext/impexp/class.tx_impexp.php	(Arbeitskopie)
@@ -1676,7 +1676,7 @@
 #	debug($currentValueArray['data'],'BE');
 											// Do recursive processing of the XML data:
 										$iteratorObj = t3lib_div::makeInstance('t3lib_TCEmain');
-										$iteratorObj->callBackObj = &$this;
+										$iteratorObj->callBackObj = $this;
 										$currentValueArray['data'] = $iteratorObj->checkValue_flex_procInData(
 													$currentValueArray['data'],
 													array(),	// Not used.
@@ -1806,7 +1806,7 @@
 
 											// Do recursive processing of the XML data:
 										$iteratorObj = t3lib_div::makeInstance('t3lib_TCEmain');
-										$iteratorObj->callBackObj = &$this;
+										$iteratorObj->callBackObj = $this;
 										$currentValueArray['data'] = $iteratorObj->checkValue_flex_procInData(
 													$currentValueArray['data'],
 													array(),	// Not used.
@@ -1971,7 +1971,7 @@
 				if (@is_dir(PATH_site.$dirPrefix))	{
 
 						// From the "original" RTE filename, produce a new "original" destination filename which is unused. Even if updated, the image should be unique. Currently the problem with this is that it leaves a lot of unused RTE images...
-					$fileProcObj = &$this->getFileProcObj();
+					$fileProcObj = $this->getFileProcObj();
 					$origDestName = $fileProcObj->getUniqueName($rteOrigName, PATH_site.$dirPrefix);
 
 						// Create copy file name:
@@ -2036,7 +2036,7 @@
 				$newName = PATH_site.$dirPrefix.$fileName;
 			} else {
 					// Create unique filename:
-				$fileProcObj = &$this->getFileProcObj();
+				$fileProcObj = $this->getFileProcObj();
 				$newName = $fileProcObj->getUniqueName($fileName, PATH_site.$dirPrefix);
 			}
 #debug($newName,'$newName');
@@ -2050,7 +2050,7 @@
 					$tokenizedContent = $this->dat['files'][$fileID]['tokenizedContent'];
 					$tokenSubstituted = FALSE;
 
-					$fileProcObj = &$this->getFileProcObj();
+					$fileProcObj = $this->getFileProcObj();
 
 					if ($updMode)	{
 						foreach($fileHeaderInfo['EXT_RES_ID'] as $res_fileID)	{
@@ -2108,7 +2108,7 @@
 	 * @return	boolean		Returns true if it went well. Notice that the content of the file is read again, and md5 from import memory is validated.
 	 */
 	function writeFileVerify($fileName, $fileID, $bypassMountCheck=FALSE)	{
-		$fileProcObj = &$this->getFileProcObj();
+		$fileProcObj = $this->getFileProcObj();
 
 		if ($fileProcObj->actionPerms['newFile'])	{
 			if ($fileProcObj->checkPathAgainstMounts($fileName) || $bypassMountCheck)	{	// Just for security, check again. Should actually not be necessary.
@@ -2168,7 +2168,7 @@
 	 * @return	string		If a path is available that will be returned, otherwise false.
 	 */
 	function verifyFolderAccess($dirPrefix, $noAlternative=FALSE)	{
-		$fileProcObj = &$this->getFileProcObj();
+		$fileProcObj = $this->getFileProcObj();
 
 #$fileProcObj->mounts['1f390e42e1dc46f125310ead30c7bd9d']['path'] = '/var/www/typo3/dev/testsite-3.6.0/fileadmin/user_upload/';
 
@@ -2866,7 +2866,7 @@
 				}
 
 					// Check extension:
-				$fileProcObj = &$this->getFileProcObj();
+				$fileProcObj = $this->getFileProcObj();
 				if ($fileProcObj->actionPerms['newFile'])	{
 					$testFI = t3lib_div::split_fileref(PATH_site.$fI['relFileName']);
 					if (!$this->allowPHPScripts && !$fileProcObj->checkIfAllowed($testFI['fileext'], $testFI['path'], $testFI['file']))	{
@@ -3272,7 +3272,7 @@
 	 *
 	 * @return	object		File processor object
 	 */
-	function &getFileProcObj()	{
+	function getFileProcObj() {
 		if (!is_object($this->fileProcObj))	{
 			$this->fileProcObj = t3lib_div::makeInstance('t3lib_extFileFunctions');
 			$this->fileProcObj->init($GLOBALS['FILEMOUNTS'], $GLOBALS['TYPO3_CONF_VARS']['BE']['fileExtensions']);
Index: typo3/sysext/indexed_search/class.indexer.php
===================================================================
--- typo3/sysext/indexed_search/class.indexer.php	(Revision 5854)
+++ typo3/sysext/indexed_search/class.indexer.php	(Arbeitskopie)
@@ -458,18 +458,18 @@
 		$lexerObjRef = $TYPO3_CONF_VARS['EXTCONF']['indexed_search']['lexer'] ?
 						$TYPO3_CONF_VARS['EXTCONF']['indexed_search']['lexer'] :
 						'EXT:indexed_search/class.lexer.php:&tx_indexedsearch_lexer';
-		$this->lexerObj = &t3lib_div::getUserObj($lexerObjRef);
+		$this->lexerObj = t3lib_div::getUserObj($lexerObjRef);
 		$this->lexerObj->debug = $this->indexerConfig['debugMode'];
 
 			// Initialize metaphone hook:
 			// Example configuration (localconf.php) for this hook: $TYPO3_CONF_VARS['EXTCONF']['indexed_search']['metaphone'] = 'EXT:indexed_search/class.doublemetaphone.php:&user_DoubleMetaPhone';
 		if ($TYPO3_CONF_VARS['EXTCONF']['indexed_search']['metaphone'])	{
-			$this->metaphoneObj = &t3lib_div::getUserObj($TYPO3_CONF_VARS['EXTCONF']['indexed_search']['metaphone']);
-			$this->metaphoneObj->pObj = &$this;
+			$this->metaphoneObj = t3lib_div::getUserObj($TYPO3_CONF_VARS['EXTCONF']['indexed_search']['metaphone']);
+			$this->metaphoneObj->pObj = $this;
 		}
 
 			// Init charset class:
-		$this->csObj = &t3lib_div::makeInstance('t3lib_cs');
+		$this->csObj = t3lib_div::makeInstance('t3lib_cs');
 	}
 
 	/**
@@ -484,8 +484,8 @@
 
 		if (is_array($TYPO3_CONF_VARS['EXTCONF']['indexed_search']['external_parsers']))	{
 			foreach($TYPO3_CONF_VARS['EXTCONF']['indexed_search']['external_parsers'] as $extension => $_objRef)	{
-				$this->external_parsers[$extension] = &t3lib_div::getUserObj($_objRef);
-				$this->external_parsers[$extension]->pObj = &$this;
+				$this->external_parsers[$extension] = t3lib_div::getUserObj($_objRef);
+				$this->external_parsers[$extension]->pObj = $this;
 
 					// Init parser and if it returns false, unset its entry again:
 				if (!$this->external_parsers[$extension]->initParser($extension))	{
Index: typo3/sysext/indexed_search/class.crawler.php
===================================================================
--- typo3/sysext/indexed_search/class.crawler.php	(Revision 5854)
+++ typo3/sysext/indexed_search/class.crawler.php	(Arbeitskopie)
@@ -186,7 +186,7 @@
 				break;
 				default:
 					if ($GLOBALS['TYPO3_CONF_VARS']['EXTCONF']['indexed_search']['crawler'][$cfgRec['type']])	{
-						$hookObj = &t3lib_div::getUserObj($GLOBALS['TYPO3_CONF_VARS']['EXTCONF']['indexed_search']['crawler'][$cfgRec['type']]);
+						$hookObj = t3lib_div::getUserObj($GLOBALS['TYPO3_CONF_VARS']['EXTCONF']['indexed_search']['crawler'][$cfgRec['type']]);
 
 						if (is_object($hookObj))	{
 
@@ -251,10 +251,10 @@
 					break;
 					default:
 						if ($GLOBALS['TYPO3_CONF_VARS']['EXTCONF']['indexed_search']['crawler'][$cfgRec['type']])	{
-							$hookObj = &t3lib_div::getUserObj($GLOBALS['TYPO3_CONF_VARS']['EXTCONF']['indexed_search']['crawler'][$cfgRec['type']]);
+							$hookObj = t3lib_div::getUserObj($GLOBALS['TYPO3_CONF_VARS']['EXTCONF']['indexed_search']['crawler'][$cfgRec['type']]);
 
 							if (is_object($hookObj))	{
-								$this->pObj = &$pObj;	// For addQueueEntryForHook()
+								$this->pObj = $pObj;	// For addQueueEntryForHook()
 								$hookObj->indexOperation($cfgRec,$session_data,$params,$this);
 							}
 						}
@@ -360,7 +360,7 @@
 				$this->loadIndexerClass();
 
 					// (Re)-Indexing file on page.
-				$indexerObj = &t3lib_div::makeInstance('tx_indexedsearch_indexer');
+				$indexerObj = t3lib_div::makeInstance('tx_indexedsearch_indexer');
 				$indexerObj->backend_initIndexer($cfgRec['pid'], 0, 0, '', $rl);
 				$indexerObj->backend_setFreeIndexUid($cfgRec['uid'], $cfgRec['set_id']);
 				$indexerObj->hash['phash'] = -1;	// EXPERIMENT - but to avoid phash_t3 being written to file sections (otherwise they are removed when page is reindexed!!!)
@@ -633,7 +633,7 @@
 		$this->loadIndexerClass();
 
 			// Index external URL:
-		$indexerObj = &t3lib_div::makeInstance('tx_indexedsearch_indexer');
+		$indexerObj = t3lib_div::makeInstance('tx_indexedsearch_indexer');
 		$indexerObj->backend_initIndexer($pageId, 0, 0, '', $rl);
 		$indexerObj->backend_setFreeIndexUid($cfgUid, $setId);
 		$indexerObj->hash['phash'] = -1;	// To avoid phash_t3 being written to file sections (otherwise they are removed when page is reindexed!!!)
@@ -683,7 +683,7 @@
 		$sys_language_uid = $languageField ? $r[$languageField] : 0;
 
 			// (Re)-Indexing a row from a table:
-		$indexerObj = &t3lib_div::makeInstance('tx_indexedsearch_indexer');
+		$indexerObj = t3lib_div::makeInstance('tx_indexedsearch_indexer');
 		parse_str(str_replace('###UID###',$r['uid'],$cfgRec['get_params']),$GETparams);
 		$indexerObj->backend_initIndexer($cfgRec['pid'], 0, $sys_language_uid, '', $rl, $GETparams, $cfgRec['chashcalc'] ? TRUE : FALSE);
 		$indexerObj->backend_setFreeIndexUid($cfgRec['uid'], $cfgRec['set_id']);
@@ -866,7 +866,7 @@
 	 * @param	object		Reference to tcemain calling object
 	 * @return	void
 	 */
-	function processCmdmap_preProcess($command, $table, $id, $value, &$pObj)	{
+	function processCmdmap_preProcess($command, $table, $id, $value, $pObj) {
 
 			// Clean up the index
 		if ($command=='delete' && $table == 'pages')	{
@@ -884,7 +884,7 @@
 	 * @param	object		Reference to tcemain calling object
 	 * @return	void
 	 */
-	function processDatamap_afterDatabaseOperations($status, $table, $id, $fieldArray, &$pObj) {
+	function processDatamap_afterDatabaseOperations($status, $table, $id, $fieldArray, $pObj) {
 
 			// Check if any fields are actually updated:
 		if (count($fieldArray))	{
@@ -955,7 +955,7 @@
 		if (is_array($params['conf']))	{
 
 				// Initialize the indexer class:
-			$indexerObj = &t3lib_div::makeInstance('tx_indexedsearch_indexer');
+			$indexerObj = t3lib_div::makeInstance('tx_indexedsearch_indexer');
 			$indexerObj->conf = $params['conf'];
 			$indexerObj->init();
 
Index: typo3/sysext/indexed_search/example/class.crawlerhook.php
===================================================================
--- typo3/sysext/indexed_search/example/class.crawlerhook.php	(Revision 5854)
+++ typo3/sysext/indexed_search/example/class.crawlerhook.php	(Arbeitskopie)
@@ -123,7 +123,7 @@
 					parse_str('&itemID='.rawurlencode($item['ID']), $GETparams);
 
 						// Prepare indexer (make instance, initialize it, set special features for indexing parameterized content - probably none of this should be changed by you) [DON'T CHANGE]:
-					$indexerObj = &t3lib_div::makeInstance('tx_indexedsearch_indexer');
+					$indexerObj = t3lib_div::makeInstance('tx_indexedsearch_indexer');
 					$indexerObj->backend_initIndexer($cfgRec['pid'], 0, $sys_language_uid, '', $rl, $GETparams, FALSE);
 					$indexerObj->backend_setFreeIndexUid($cfgRec['uid'], $cfgRec['set_id']);
 					$indexerObj->forceIndexing = TRUE;
@@ -153,7 +153,7 @@
 				$sys_language_uid = 0;
 
 					// Prepare indexer (make instance, initialize it, set special features for indexing parameterized content - probably none of this should be changed by you) [DON'T CHANGE]:
-				$indexerObj = &t3lib_div::makeInstance('tx_indexedsearch_indexer');
+				$indexerObj = t3lib_div::makeInstance('tx_indexedsearch_indexer');
 				$indexerObj->backend_initIndexer($cfgRec['pid'], 0, $sys_language_uid, '', $rl);
 				$indexerObj->backend_setFreeIndexUid($cfgRec['uid'], $cfgRec['set_id']);
 				$indexerObj->hash['phash'] = -1;	// To avoid phash_t3 being written to file sections (otherwise they are removed when page is reindexed!!!)
@@ -167,7 +167,7 @@
 				$pObj->loadIndexerClass();
 
 					// Index external URL:
-				$indexerObj = &t3lib_div::makeInstance('tx_indexedsearch_indexer');
+				$indexerObj = t3lib_div::makeInstance('tx_indexedsearch_indexer');
 				$indexerObj->backend_initIndexer($cfgRec['pid'], 0, $sys_language_uid, '', $rl);
 				$indexerObj->backend_setFreeIndexUid($cfgRec['uid'], $cfgRec['set_id']);
 				$indexerObj->hash['phash'] = -1;	// To avoid phash_t3 being written to file sections (otherwise they are removed when page is reindexed!!!)
Index: typo3/sysext/indexed_search/pi/class.tx_indexedsearch.php
===================================================================
--- typo3/sysext/indexed_search/pi/class.tx_indexedsearch.php	(Revision 5854)
+++ typo3/sysext/indexed_search/pi/class.tx_indexedsearch.php	(Arbeitskopie)
@@ -213,7 +213,7 @@
 			// Initialize external document parsers for icon display and other soft operations
 		if (is_array($TYPO3_CONF_VARS['EXTCONF']['indexed_search']['external_parsers']))	{
 			foreach ($TYPO3_CONF_VARS['EXTCONF']['indexed_search']['external_parsers'] as $extension => $_objRef)	{
-				$this->external_parsers[$extension] = &t3lib_div::getUserObj($_objRef);
+				$this->external_parsers[$extension] = t3lib_div::getUserObj($_objRef);
 
 					// Init parser and if it returns false, unset its entry again:
 				if (!$this->external_parsers[$extension]->softInit($extension))	{
@@ -226,7 +226,7 @@
 		$lexerObjRef = $TYPO3_CONF_VARS['EXTCONF']['indexed_search']['lexer'] ?
 						$TYPO3_CONF_VARS['EXTCONF']['indexed_search']['lexer'] :
 						'EXT:indexed_search/class.lexer.php:&tx_indexedsearch_lexer';
-		$this->lexerObj = &t3lib_div::getUserObj($lexerObjRef);
+		$this->lexerObj = t3lib_div::getUserObj($lexerObjRef);
 
 			// If "_sections" is set, this value overrides any existing value.
 		if ($this->piVars['_sections'])		$this->piVars['sections'] = $this->piVars['_sections'];
@@ -379,7 +379,7 @@
 		}
 
 			// Calling hook for modification of initialized content
-		if ($hookObj = &$this->hookRequest('initialize_postProc'))	{
+		if ($hookObj = $this->hookRequest('initialize_postProc'))	{
 			$hookObj->initialize_postProc();
 		}
 
@@ -434,7 +434,7 @@
 		$inSW = $GLOBALS['TSFE']->csConvObj->utf8_encode($inSW, $GLOBALS['TSFE']->metaCharset);
 		$inSW = $GLOBALS['TSFE']->csConvObj->entities_to_utf8($inSW,TRUE);
 
-		if ($hookObj = &$this->hookRequest('getSearchWords'))	{
+		if ($hookObj = $this->hookRequest('getSearchWords'))	{
 			return $hookObj->getSearchWords_splitSWords($inSW, $defOp);
 		} else {
 
@@ -518,7 +518,7 @@
 		foreach ($indexCfgs as $freeIndexUid)	{
 				// Get result rows:
 			$pt1 = t3lib_div::milliseconds();
-			if ($hookObj = &$this->hookRequest('getResultRows'))	{
+			if ($hookObj = $this->hookRequest('getResultRows'))	{
 				$resData = $hookObj->getResultRows($sWArr,$freeIndexUid);
 			} else {
 				$resData = $this->getResultRows($sWArr,$freeIndexUid);
@@ -526,7 +526,7 @@
 
 				// Display search results:
 			$pt2 = t3lib_div::milliseconds();
-			if ($hookObj = &$this->hookRequest('getDisplayResults'))	{
+			if ($hookObj = $this->hookRequest('getDisplayResults'))	{
 				$content = $hookObj->getDisplayResults($sWArr, $resData, $freeIndexUid);
 			} else {
 				$content = $this->getDisplayResults($sWArr, $resData, $freeIndexUid);
@@ -1072,7 +1072,7 @@
 		$freeIndexUidClause = $this->freeIndexUidWhere($freeIndexUid);
 
 			// Calling hook for alternative creation of page ID list
-		if ($hookObj = &$this->hookRequest('execFinalQuery_idList'))	{
+		if ($hookObj = $this->hookRequest('execFinalQuery_idList'))	{
 			$page_where = $hookObj->execFinalQuery_idList($list);
 		} elseif ($this->join_pages)	{	// Alternative to getting all page ids by ->getTreeList() where "excludeSubpages" is NOT respected.
 			$page_join = ',
@@ -1570,7 +1570,7 @@
 			// Get template content:
 		$tmplContent = $this->prepareResultRowTemplateData($row, $headerOnly);
 
-		if ($hookObj = &$this->hookRequest('printResultRow'))	{
+		if ($hookObj = $this->hookRequest('printResultRow'))	{
 			return $hookObj->printResultRow($row, $headerOnly, $tmplContent);
 		} else {
 
@@ -1763,7 +1763,7 @@
 		$tmplContent['CSSsuffix'] = $CSSsuffix;
 
 			// Post processing with hook.
-		if ($hookObj = &$this->hookRequest('prepareResultRowTemplateData_postProc'))	{
+		if ($hookObj = $this->hookRequest('prepareResultRowTemplateData_postProc'))	{
 			$tmplContent = $hookObj->prepareResultRowTemplateData_postProc($tmplContent, $row, $headerOnly);
 		}
 
@@ -2363,14 +2363,14 @@
 	 * @param	string		Name of the function you want to call / hook key
 	 * @return	object		Hook object, if any. Otherwise null.
 	 */
-	function &hookRequest($functionName)	{
+	function hookRequest($functionName)	{
 		global $TYPO3_CONF_VARS;
 
 			// Hook: menuConfig_preProcessModMenu
 		if ($TYPO3_CONF_VARS['EXTCONF']['indexed_search']['pi1_hooks'][$functionName]) {
-			$hookObj = &t3lib_div::getUserObj($TYPO3_CONF_VARS['EXTCONF']['indexed_search']['pi1_hooks'][$functionName]);
+			$hookObj = t3lib_div::getUserObj($TYPO3_CONF_VARS['EXTCONF']['indexed_search']['pi1_hooks'][$functionName]);
 			if (method_exists ($hookObj, $functionName)) {
-				$hookObj->pObj = &$this;
+				$hookObj->pObj = $this;
 				return $hookObj;
 			}
 		}
Index: typo3/sysext/indexed_search/class.lexer.php
===================================================================
--- typo3/sysext/indexed_search/class.lexer.php	(Revision 5854)
+++ typo3/sysext/indexed_search/class.lexer.php	(Arbeitskopie)
@@ -108,7 +108,7 @@
 	 * @return	void
 	 */
 	function tx_indexedsearch_lexer() {
-		$this->csObj = &t3lib_div::makeInstance('t3lib_cs');
+		$this->csObj = t3lib_div::makeInstance('t3lib_cs');
 	}
 
 	/**
Index: typo3/sysext/indexed_search/modfunc1/class.tx_indexedsearch_modfunc1.php
===================================================================
--- typo3/sysext/indexed_search/modfunc1/class.tx_indexedsearch_modfunc1.php	(Revision 5854)
+++ typo3/sysext/indexed_search/modfunc1/class.tx_indexedsearch_modfunc1.php	(Arbeitskopie)
@@ -164,7 +164,7 @@
 			// Example configuration, see ext_localconf.php of this file!
 		if (is_array($TYPO3_CONF_VARS['EXTCONF']['indexed_search']['external_parsers']))	{
 			foreach($TYPO3_CONF_VARS['EXTCONF']['indexed_search']['external_parsers'] as $extension => $_objRef)	{
-				$this->external_parsers[$extension] = &t3lib_div::getUserObj($_objRef);
+				$this->external_parsers[$extension] = t3lib_div::getUserObj($_objRef);
 
 					// Init parser and if it returns false, unset its entry again:
 				if (!$this->external_parsers[$extension]->softInit($extension))	{
@@ -174,7 +174,7 @@
 		}
 
 			// Initialize indexer if we need it (metaphone display does...)
-		$this->indexerObj = &t3lib_div::makeInstance('tx_indexedsearch_indexer');
+		$this->indexerObj = t3lib_div::makeInstance('tx_indexedsearch_indexer');
 
 			// Set CSS styles specific for this document:
 		$this->pObj->content = str_replace('/*###POSTCSSMARKER###*/','
@@ -1181,7 +1181,7 @@
 			if ($resultRow['item_type'] && $resultRow['item_type']!=='0')	{
 
 					// (Re)-Indexing file on page.
-				$indexerObj = &t3lib_div::makeInstance('tx_indexedsearch_indexer');
+				$indexerObj = t3lib_div::makeInstance('tx_indexedsearch_indexer');
 				$indexerObj->backend_initIndexer($pageId, 0, 0, '', $this->getUidRootLineForClosestTemplate($pageId));
 
 					// URL or local file:
Index: typo3/sysext/indexed_search/modfunc2/class.tx_indexedsearch_modfunc2.php
===================================================================
--- typo3/sysext/indexed_search/modfunc2/class.tx_indexedsearch_modfunc2.php	(Revision 5854)
+++ typo3/sysext/indexed_search/modfunc2/class.tx_indexedsearch_modfunc2.php	(Arbeitskopie)
@@ -98,7 +98,7 @@
 			.$this->note;
 
 			// Ask hook to include more on the page:
-		if ($hookObj = &$this->hookRequest('additionalSearchStat'))	{
+		if ($hookObj = $this->hookRequest('additionalSearchStat')) {
 			$content.= $hookObj->additionalSearchStat();
 		}
 
@@ -202,14 +202,14 @@
 	 * @return	object		Hook object, if any. Otherwise null.
 	 * @author Kasper Skaarhoj
 	 */
-	function &hookRequest($functionName)	{
+	function hookRequest($functionName) {
 		global $TYPO3_CONF_VARS;
 
 			// Hook: menuConfig_preProcessModMenu
 		if ($TYPO3_CONF_VARS['EXTCONF']['indexed_search']['be_hooks'][$functionName])	{
-			$hookObj = &t3lib_div::getUserObj($TYPO3_CONF_VARS['EXTCONF']['indexed_search']['be_hooks'][$functionName]);
+			$hookObj = t3lib_div::getUserObj($TYPO3_CONF_VARS['EXTCONF']['indexed_search']['be_hooks'][$functionName]);
 			if (method_exists ($hookObj, $functionName))	{
-				$hookObj->pObj = &$this;
+				$hookObj->pObj = $this;
 				return $hookObj;
 			}
 		}
Index: typo3/sysext/install/mod/class.tx_install.php
===================================================================
--- typo3/sysext/install/mod/class.tx_install.php	(Revision 5854)
+++ typo3/sysext/install/mod/class.tx_install.php	(Arbeitskopie)
@@ -4040,7 +4040,7 @@
 				foreach ($this->INSTALL['update']['extList'] as $identifier)	{
 					$className = $GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['ext/install']['update'][$identifier];
 
-					$tmpObj = &$this->getUpgradeObjInstance($className, $identifier);
+					$tmpObj = $this->getUpgradeObjInstance($className, $identifier);
 
 					$content = '<p class="innerWidth"><strong>'.$identifier.'</strong></p>';
 						// check user input if testing method is available
@@ -4085,7 +4085,7 @@
 	 * @return	object		newly instanciated upgrade object
 	 */
 	function getUpgradeObjInstance($className, $identifier)	{
-		$tmpObj = &t3lib_div::getUserObj($className);
+		$tmpObj = t3lib_div::getUserObj($className);
 		$tmpObj->versionNumber = t3lib_div::int_from_ver(TYPO3_version);
 		$tmpObj->pObj = $this;
 		$tmpObj->userInput = $this->INSTALL['update'][$identifier];
Index: typo3/sysext/css_styled_content/pi1/class.tx_cssstyledcontent_pi1.php
===================================================================
--- typo3/sysext/css_styled_content/pi1/class.tx_cssstyledcontent_pi1.php	(Revision 5854)
+++ typo3/sysext/css_styled_content/pi1/class.tx_cssstyledcontent_pi1.php	(Arbeitskopie)
@@ -91,7 +91,7 @@
 	function render_bullets($content,$conf)	{
 
 			// Look for hook before running default code for function
-		if ($hookObj = &$this->hookRequest('render_bullets'))	{
+		if ($hookObj = $this->hookRequest('render_bullets')) {
 			return $hookObj->render_bullets($content,$conf);
 		} else {
 
@@ -136,7 +136,7 @@
 	function render_table($content,$conf)	{
 
 			// Look for hook before running default code for function
-		if ($hookObj = &$this->hookRequest('render_table'))	{
+		if ($hookObj = $this->hookRequest('render_table')) {
 			return $hookObj->render_table($content,$conf);
 		} else {
 				// Init FlexForm configuration
@@ -280,7 +280,7 @@
 	function render_uploads($content,$conf)	{
 
 			// Look for hook before running default code for function
-		if ($hookObj = &$this->hookRequest('render_uploads'))	{
+		if ($hookObj = $this->hookRequest('render_uploads')) {
 			return $hookObj->render_uploads($content,$conf);
 		} else {
 
@@ -402,7 +402,7 @@
 	 */
 	 function render_textpic($content, $conf)	{
 			// Look for hook before running default code for function
-		if (method_exists($this, 'hookRequest') && $hookObj = &$this->hookRequest('render_textpic'))	{
+		if (method_exists($this, 'hookRequest') && $hookObj = $this->hookRequest('render_textpic'))	{
 			return $hookObj->render_textpic($content,$conf);
 		}
 
@@ -909,14 +909,14 @@
 	 * @param	string		Name of the function you want to call / hook key
 	 * @return	object		Hook object, if any. Otherwise null.
 	 */
-	function &hookRequest($functionName)	{
+	function hookRequest($functionName)	{
 		global $TYPO3_CONF_VARS;
 
 			// Hook: menuConfig_preProcessModMenu
 		if ($TYPO3_CONF_VARS['EXTCONF']['css_styled_content']['pi1_hooks'][$functionName]) {
-			$hookObj = &t3lib_div::getUserObj($TYPO3_CONF_VARS['EXTCONF']['css_styled_content']['pi1_hooks'][$functionName]);
+			$hookObj = t3lib_div::getUserObj($TYPO3_CONF_VARS['EXTCONF']['css_styled_content']['pi1_hooks'][$functionName]);
 			if (method_exists ($hookObj, $functionName)) {
-				$hookObj->pObj = &$this;
+				$hookObj->pObj = $this;
 				return $hookObj;
 			}
 		}
Index: typo3/sysext/rtehtmlarea/pi2/class.tx_rtehtmlarea_pi2.php
===================================================================
--- typo3/sysext/rtehtmlarea/pi2/class.tx_rtehtmlarea_pi2.php	(Revision 5854)
+++ typo3/sysext/rtehtmlarea/pi2/class.tx_rtehtmlarea_pi2.php	(Arbeitskopie)
@@ -74,7 +74,7 @@
 	function drawRTE($parentObject,$table,$field,$row,$PA,$specConf,$thisConfig,$RTEtypeVal,$RTErelPath,$thePidValue) {
 		global $TSFE, $TYPO3_CONF_VARS, $TYPO3_DB;
 
-		$this->TCEform =& $parentObject;
+		$this->TCEform = $parentObject;
 		$this->client = $this->clientInfo();
 		$this->typoVersion = t3lib_div::int_from_ver(TYPO3_version);
 
Index: typo3/sysext/rtehtmlarea/mod3/class.tx_rtehtmlarea_dam_browse_links.php
===================================================================
--- typo3/sysext/rtehtmlarea/mod3/class.tx_rtehtmlarea_dam_browse_links.php	(Revision 5854)
+++ typo3/sysext/rtehtmlarea/mod3/class.tx_rtehtmlarea_dam_browse_links.php	(Arbeitskopie)
@@ -75,7 +75,7 @@
 	 * @return	boolean
 	 * @see SC_browse_links::main()
 	 */
-	function isValid($type, &$pObj)	{
+	function isValid($type, $pObj) {
 		$isValid = false;
 
 		$pArr = explode('|', t3lib_div::_GP('bparams'));
@@ -96,10 +96,10 @@
 	 * @return	string		Rendered content
 	 * @see SC_browse_links::main()
 	 */
-	function render($type, &$pObj)	{
+	function render($type, $pObj) {
 		global $LANG, $BE_USER, $BACK_PATH;
 
-		$this->pObj = &$pObj;
+		$this->pObj = $pObj;
 
 			// init class browse_links
 		$this->init();
@@ -161,7 +161,7 @@
 		$this->hookObjects = array();
 		if (is_array($TYPO3_CONF_VARS['SC_OPTIONS']['typo3/class.browse_links.php']['browseLinksHook'])) {
 			foreach($TYPO3_CONF_VARS['SC_OPTIONS']['typo3/class.browse_links.php']['browseLinksHook'] as $classData) {
-				$processObject = &t3lib_div::getUserObj($classData);
+				$processObject = t3lib_div::getUserObj($classData);
 
 				if(!($processObject instanceof t3lib_browseLinksHook)) {
 					throw new UnexpectedValueException('$processObject must implement interface t3lib_browseLinksHook', 1195115652);
Index: typo3/sysext/rtehtmlarea/mod3/class.tx_rtehtmlarea_browse_links.php
===================================================================
--- typo3/sysext/rtehtmlarea/mod3/class.tx_rtehtmlarea_browse_links.php	(Revision 5854)
+++ typo3/sysext/rtehtmlarea/mod3/class.tx_rtehtmlarea_browse_links.php	(Arbeitskopie)
@@ -346,7 +346,7 @@
 		global $TYPO3_CONF_VARS;
 		if (is_array($TYPO3_CONF_VARS['SC_OPTIONS'][$hookKey]['browseLinksHook'])) {
 			foreach ($TYPO3_CONF_VARS['SC_OPTIONS'][$hookKey]['browseLinksHook'] as $classData) {
-				$processObject = &t3lib_div::getUserObj($classData);
+				$processObject = t3lib_div::getUserObj($classData);
 				if(!($processObject instanceof t3lib_browseLinksHook)) {
 					throw new UnexpectedValueException('$processObject must implement interface t3lib_browseLinksHook', 1195115652);
 				}
Index: typo3/sysext/rtehtmlarea/mod4/class.tx_rtehtmlarea_dam_browse_media.php
===================================================================
--- typo3/sysext/rtehtmlarea/mod4/class.tx_rtehtmlarea_dam_browse_media.php	(Revision 5854)
+++ typo3/sysext/rtehtmlarea/mod4/class.tx_rtehtmlarea_dam_browse_media.php	(Arbeitskopie)
@@ -71,7 +71,7 @@
 	 * @return	boolean
 	 * @see SC_browse_links::main()
 	 */
-	function isValid($type, &$pObj)	{
+	function isValid($type, $pObj) {
 		$isValid = false;
 
 		$pArr = explode('|', t3lib_div::_GP('bparams'));
@@ -92,10 +92,10 @@
 	 * @return	string		Rendered content
 	 * @see SC_browse_links::main()
 	 */
-	function render($type, &$pObj)	{
+	function render($type, $pObj) {
 		global $LANG, $BE_USER, $BACK_PATH;
 
-		$this->pObj = &$pObj;
+		$this->pObj = $pObj;
 
 			// init class browse_links
 		$this->init();
Index: typo3/sysext/rtehtmlarea/mod4/class.tx_rtehtmlarea_select_image.php
===================================================================
--- typo3/sysext/rtehtmlarea/mod4/class.tx_rtehtmlarea_select_image.php	(Revision 5854)
+++ typo3/sysext/rtehtmlarea/mod4/class.tx_rtehtmlarea_select_image.php	(Arbeitskopie)
@@ -242,7 +242,7 @@
 		global $TYPO3_CONF_VARS;
 		if (is_array($TYPO3_CONF_VARS['SC_OPTIONS']['ext/rtehtmlarea/mod4/class.tx_rtehtmlarea_select_image.php']['browseLinksHook'])) {
 			foreach ($TYPO3_CONF_VARS['SC_OPTIONS']['ext/rtehtmlarea/mod4/class.tx_rtehtmlarea_select_image.php']['browseLinksHook'] as $classData) {
-				$processObject = &t3lib_div::getUserObj($classData);
+				$processObject = t3lib_div::getUserObj($classData);
 				if(!($processObject instanceof t3lib_browseLinksHook)) {
 					throw new UnexpectedValueException('$processObject must implement interface t3lib_browseLinksHook', 1195115652);
 				}
Index: typo3/sysext/rtehtmlarea/mod6/class.tx_rtehtmlarea_parse_html.php
===================================================================
--- typo3/sysext/rtehtmlarea/mod6/class.tx_rtehtmlarea_parse_html.php	(Revision 5854)
+++ typo3/sysext/rtehtmlarea/mod6/class.tx_rtehtmlarea_parse_html.php	(Arbeitskopie)
@@ -132,7 +132,7 @@
 
 		if (is_array ($TYPO3_CONF_VARS['EXTCONF'][$this->extKey][$this->prefixId]['cleanPastedContent'])) {
 			foreach  ($TYPO3_CONF_VARS['EXTCONF'][$this->extKey][$this->prefixId]['cleanPastedContent'] as $classRef) {
-				$hookObj = &t3lib_div::getUserObj($classRef);
+				$hookObj = t3lib_div::getUserObj($classRef);
 				if (method_exists($hookObj, 'cleanPastedContent_afterCleanWord')) {
 					$html = $hookObj->cleanPastedContent_afterCleanWord($html, $thisConfig);
 				}
Index: typo3/sysext/rtehtmlarea/class.tx_rtehtmlareaapi.php
===================================================================
--- typo3/sysext/rtehtmlarea/class.tx_rtehtmlareaapi.php	(Revision 5854)
+++ typo3/sysext/rtehtmlarea/class.tx_rtehtmlareaapi.php	(Arbeitskopie)
@@ -60,7 +60,7 @@
 	public function main($parentObject) {
 		global $TYPO3_CONF_VARS, $LANG, $TSFE;
 
-		$this->htmlAreaRTE =& $parentObject;
+		$this->htmlAreaRTE = $parentObject;
 		$this->rteExtensionKey =& $this->htmlAreaRTE->ID;
 		$this->thisConfig =& $this->htmlAreaRTE->thisConfig;
 		$this->toolbar =& $this->htmlAreaRTE->toolbar;
Index: typo3/sysext/rtehtmlarea/class.tx_rtehtmlarea_base.php
===================================================================
--- typo3/sysext/rtehtmlarea/class.tx_rtehtmlarea_base.php	(Revision 5854)
+++ typo3/sysext/rtehtmlarea/class.tx_rtehtmlarea_base.php	(Arbeitskopie)
@@ -194,8 +194,8 @@
 	function drawRTE($parentObject, $table, $field, $row, $PA, $specConf, $thisConfig, $RTEtypeVal, $RTErelPath, $thePidValue) {
 		global $BE_USER, $LANG, $TYPO3_DB, $TYPO3_CONF_VARS;
 
-		$this->TCEform =& $parentObject;
-		$inline =& $this->TCEform->inline;
+		$this->TCEform = $parentObject;
+		$inline = $this->TCEform->inline;
 		$LANG->includeLLFile('EXT:' . $this->ID . '/locallang.xml');
 		$this->client = $this->clientInfo();
 		$this->typoVersion = t3lib_div::int_from_ver(TYPO3_version);
@@ -522,7 +522,7 @@
 			foreach($TYPO3_CONF_VARS['EXTCONF'][$this->ID]['plugins'] as $pluginId => $pluginObjectConfiguration) {
 				$plugin = false;
 				if (is_array($pluginObjectConfiguration) && count($pluginObjectConfiguration)) {
-					$plugin = &t3lib_div::getUserObj($pluginObjectConfiguration['objectReference']);
+					$plugin = t3lib_div::getUserObj($pluginObjectConfiguration['objectReference']);
 				}
 				if (is_object($plugin)) {
 					if ($plugin->main($this)) {
Index: typo3/sysext/adodb/class.tx_adodb_tceforms.php
===================================================================
--- typo3/sysext/adodb/class.tx_adodb_tceforms.php	(Revision 5854)
+++ typo3/sysext/adodb/class.tx_adodb_tceforms.php	(Arbeitskopie)
@@ -29,7 +29,7 @@
  */
 class tx_adodb_tceforms {
 
-	function itemsProcFunc_dbtype(&$params, &$pObj)	{
+	function itemsProcFunc_dbtype(&$params, $pObj) {
 		if (is_callable('sybase_get_last_message')) $params['items'][] = array ('Sybase', 'sybase');
 		if (is_callable('odbc_error')) $params['items'][] = array ('ODBC', 'odbc');
 		if (is_callable('mysql_error')) $params['items'][] = array ('MySQL', 'mysql');
Index: typo3/sysext/adodb/ext_localconf.php
===================================================================
--- typo3/sysext/adodb/ext_localconf.php	(Revision 5854)
+++ typo3/sysext/adodb/ext_localconf.php	(Arbeitskopie)
@@ -6,7 +6,7 @@
 	// Register as a data source application if the extension datasources is loaded:
 if (t3lib_extMgm::isLoaded ('datasources')) {
 	require_once (t3lib_extMgm::extPath('datasources').'class.tx_datasources_main.php');
-	$dataSourcesMainObj = &t3lib_div::getUserObj('EXT:datasources/class.tx_datasources_main.php:&tx_datasources_main');
+	$dataSourcesMainObj = t3lib_div::getUserObj('EXT:datasources/class.tx_datasources_main.php:&tx_datasources_main');
 	$dataSourcesMainObj->registerApplication ('ADOdb', 'adodb');
 }
 
Index: typo3/sysext/opendocs/class.tx_opendocs.php
===================================================================
--- typo3/sysext/opendocs/class.tx_opendocs.php	(Revision 5854)
+++ typo3/sysext/opendocs/class.tx_opendocs.php	(Arbeitskopie)
@@ -231,7 +231,7 @@
 	 * @param	unknown_type		$ref
 	 * @return	string		list item HTML attibutes
 	 */
-	public function updateNumberOfOpenDocsHook(&$params, &$ref) {
+	public function updateNumberOfOpenDocsHook(&$params, $ref) {
 		$params['JScode'] = '
 			if (top && top.TYPO3BackendOpenDocs) {
 				top.TYPO3BackendOpenDocs.updateNumberOfDocs(' . count($this->openDocs) . ', true);
